import { Resend } from 'resend';
const resend = new Resend('re_xxxxxxxxx');
const { data, error } = await resend.apiKeys.remove(
'b6d24b8e-af0b-4c3c-be0c-359bbd97381e',
);
$resend = Resend::client('re_xxxxxxxxx');
$resend->apiKeys->remove('b6d24b8e-af0b-4c3c-be0c-359bbd97381e');
import resend
resend.api_key = "re_xxxxxxxxx"
resend.ApiKeys.remove(api_key_id="b6d24b8e-af0b-4c3c-be0c-359bbd97381e")
require "resend"
Resend.api_key = "re_xxxxxxxxx"
Resend::ApiKeys.remove "b6d24b8e-af0b-4c3c-be0c-359bbd97381e"
package main
import "github.com/resend/resend-go/v3"
func main() {
client := resend.NewClient("re_xxxxxxxxx")
client.ApiKeys.Remove("b6d24b8e-af0b-4c3c-be0c-359bbd97381e")
}
use resend_rs::{Resend, Result};
#[tokio::main]
async fn main() -> Result<()> {
let resend = Resend::new("re_xxxxxxxxx");
resend
.api_keys
.delete("b6d24b8e-af0b-4c3c-be0c-359bbd97381e")
.await?;
Ok(())
}
import com.resend.*;
public class Main {
public static void main(String[] args) {
Resend resend = new Resend("re_xxxxxxxxx");
resend.apiKeys().remove("b6d24b8e-af0b-4c3c-be0c-359bbd97381e");
}
}
using Resend;
IResend resend = ResendClient.Create( "re_xxxxxxxxx" ); // Or from DI
await resend.ApiKeyDeleteAsync( new Guid( "b6d24b8e-af0b-4c3c-be0c-359bbd97381e" ) );
curl -X DELETE 'https://api.resend.com/api-keys/b6d24b8e-af0b-4c3c-be0c-359bbd97381e' \
-H 'Authorization: Bearer re_xxxxxxxxx'
resend api-keys delete b6d24b8e-af0b-4c3c-be0c-359bbd97381e
{
"object": "api_key",
"id": "b6d24b8e-af0b-4c3c-be0c-359bbd97381e",
"deleted": true
}
Delete API key
Remove an existing API key.
DELETE
/
api-keys
/
:api_key_id
import { Resend } from 'resend';
const resend = new Resend('re_xxxxxxxxx');
const { data, error } = await resend.apiKeys.remove(
'b6d24b8e-af0b-4c3c-be0c-359bbd97381e',
);
$resend = Resend::client('re_xxxxxxxxx');
$resend->apiKeys->remove('b6d24b8e-af0b-4c3c-be0c-359bbd97381e');
import resend
resend.api_key = "re_xxxxxxxxx"
resend.ApiKeys.remove(api_key_id="b6d24b8e-af0b-4c3c-be0c-359bbd97381e")
require "resend"
Resend.api_key = "re_xxxxxxxxx"
Resend::ApiKeys.remove "b6d24b8e-af0b-4c3c-be0c-359bbd97381e"
package main
import "github.com/resend/resend-go/v3"
func main() {
client := resend.NewClient("re_xxxxxxxxx")
client.ApiKeys.Remove("b6d24b8e-af0b-4c3c-be0c-359bbd97381e")
}
use resend_rs::{Resend, Result};
#[tokio::main]
async fn main() -> Result<()> {
let resend = Resend::new("re_xxxxxxxxx");
resend
.api_keys
.delete("b6d24b8e-af0b-4c3c-be0c-359bbd97381e")
.await?;
Ok(())
}
import com.resend.*;
public class Main {
public static void main(String[] args) {
Resend resend = new Resend("re_xxxxxxxxx");
resend.apiKeys().remove("b6d24b8e-af0b-4c3c-be0c-359bbd97381e");
}
}
using Resend;
IResend resend = ResendClient.Create( "re_xxxxxxxxx" ); // Or from DI
await resend.ApiKeyDeleteAsync( new Guid( "b6d24b8e-af0b-4c3c-be0c-359bbd97381e" ) );
curl -X DELETE 'https://api.resend.com/api-keys/b6d24b8e-af0b-4c3c-be0c-359bbd97381e' \
-H 'Authorization: Bearer re_xxxxxxxxx'
resend api-keys delete b6d24b8e-af0b-4c3c-be0c-359bbd97381e
{
"object": "api_key",
"id": "b6d24b8e-af0b-4c3c-be0c-359bbd97381e",
"deleted": true
}
Path Parameters
import { Resend } from 'resend';
const resend = new Resend('re_xxxxxxxxx');
const { data, error } = await resend.apiKeys.remove(
'b6d24b8e-af0b-4c3c-be0c-359bbd97381e',
);
$resend = Resend::client('re_xxxxxxxxx');
$resend->apiKeys->remove('b6d24b8e-af0b-4c3c-be0c-359bbd97381e');
import resend
resend.api_key = "re_xxxxxxxxx"
resend.ApiKeys.remove(api_key_id="b6d24b8e-af0b-4c3c-be0c-359bbd97381e")
require "resend"
Resend.api_key = "re_xxxxxxxxx"
Resend::ApiKeys.remove "b6d24b8e-af0b-4c3c-be0c-359bbd97381e"
package main
import "github.com/resend/resend-go/v3"
func main() {
client := resend.NewClient("re_xxxxxxxxx")
client.ApiKeys.Remove("b6d24b8e-af0b-4c3c-be0c-359bbd97381e")
}
use resend_rs::{Resend, Result};
#[tokio::main]
async fn main() -> Result<()> {
let resend = Resend::new("re_xxxxxxxxx");
resend
.api_keys
.delete("b6d24b8e-af0b-4c3c-be0c-359bbd97381e")
.await?;
Ok(())
}
import com.resend.*;
public class Main {
public static void main(String[] args) {
Resend resend = new Resend("re_xxxxxxxxx");
resend.apiKeys().remove("b6d24b8e-af0b-4c3c-be0c-359bbd97381e");
}
}
using Resend;
IResend resend = ResendClient.Create( "re_xxxxxxxxx" ); // Or from DI
await resend.ApiKeyDeleteAsync( new Guid( "b6d24b8e-af0b-4c3c-be0c-359bbd97381e" ) );
curl -X DELETE 'https://api.resend.com/api-keys/b6d24b8e-af0b-4c3c-be0c-359bbd97381e' \
-H 'Authorization: Bearer re_xxxxxxxxx'
resend api-keys delete b6d24b8e-af0b-4c3c-be0c-359bbd97381e
{
"object": "api_key",
"id": "b6d24b8e-af0b-4c3c-be0c-359bbd97381e",
"deleted": true
}
Was this page helpful?
⌘I